# `libjulia_jll.jl` (v1.5.1+0)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/d4b4d764187954e0c888845495ab92c7eb00edaf/L/libjulia/libjulia@1.5/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `libjulia_jll.jl` have been built from these sources:

* compressed archive: https://github.com/JuliaLang/julia/releases/download/v1.5.1/julia-1.5.1.tar.gz (SHA256 checksum: `1f138205772eb1e565f1d7ccd6f237be8a4d18713a3466e3b8d3a6aad6483fd9`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/d4b4d764187954e0c888845495ab92c7eb00edaf/L/libjulia/libjulia@1.5/bundled)

## Platforms

`libjulia_jll.jl` is available for the following platforms:

* `Linux(:aarch64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`aarch64-linux-gnu-cxx03`)
* `Linux(:aarch64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`aarch64-linux-gnu-cxx11`)
* `Linux(:aarch64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`aarch64-linux-musl-cxx03`)
* `Linux(:aarch64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`aarch64-linux-musl-cxx11`)
* `Linux(:armv7l, libc=:glibc, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux(:armv7l, libc=:glibc, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux(:armv7l, libc=:musl, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`armv7l-linux-musleabihf-cxx03`)
* `Linux(:armv7l, libc=:musl, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`armv7l-linux-musleabihf-cxx11`)
* `Linux(:i686, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`i686-linux-gnu-cxx03`)
* `Linux(:i686, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`i686-linux-gnu-cxx11`)
* `Windows(:i686, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`i686-w64-mingw32-cxx03`)
* `Windows(:i686, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`i686-w64-mingw32-cxx11`)
* `Linux(:powerpc64le, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`powerpc64le-linux-gnu-cxx03`)
* `Linux(:powerpc64le, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`powerpc64le-linux-gnu-cxx11`)
* `MacOS(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-apple-darwin14-cxx03`)
* `MacOS(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-apple-darwin14-cxx11`)
* `Linux(:x86_64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-linux-gnu-cxx03`)
* `Linux(:x86_64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-linux-gnu-cxx11`)
* `Linux(:x86_64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-linux-musl-cxx03`)
* `Linux(:x86_64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-linux-musl-cxx11`)
* `Windows(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-w64-mingw32-cxx03`)
* `Windows(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `libjulia_jll.jl`:

* [`LibCURL_jll`](https://github.com/JuliaBinaryWrappers/LibCURL_jll.jl)
* [`LibGit2_jll`](https://github.com/JuliaBinaryWrappers/LibGit2_jll.jl)
* [`LibSSH2_jll`](https://github.com/JuliaBinaryWrappers/LibSSH2_jll.jl)
* [`LibUV_jll`](https://github.com/JuliaBinaryWrappers/LibUV_jll.jl)
* [`MPFR_jll`](https://github.com/JuliaBinaryWrappers/MPFR_jll.jl)
* [`MbedTLS_jll`](https://github.com/JuliaBinaryWrappers/MbedTLS_jll.jl)
* [`OpenBLAS_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS_jll.jl)
* [`OpenLibm_jll`](https://github.com/JuliaBinaryWrappers/OpenLibm_jll.jl)
* [`PCRE2_jll`](https://github.com/JuliaBinaryWrappers/PCRE2_jll.jl)
* [`SuiteSparse_jll`](https://github.com/JuliaBinaryWrappers/SuiteSparse_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`dSFMT_jll`](https://github.com/JuliaBinaryWrappers/dSFMT_jll.jl)
* [`libLLVM_jll`](https://github.com/JuliaBinaryWrappers/libLLVM_jll.jl)
* [`p7zip_jll`](https://github.com/JuliaBinaryWrappers/p7zip_jll.jl)
* [`utf8proc_jll`](https://github.com/JuliaBinaryWrappers/utf8proc_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libjulia`
